Page MenuHomePhabricator

fatal error: Argument 1 passed to ProofreadIndexPage::newFromTitle() must be an instance of Title, ProofreadIndexPage given
Closed, ResolvedPublic

Description

Catchable fatal error: Argument 1 passed to ProofreadIndexPage::newFromTitle() must be an instance of Title, ProofreadIndexPage given in /srv/mediawiki/php-1.29.0-wmf.18/extensions/ProofreadPage/includes/index/ProofreadIndexPage.php on line 69

Error showed up when I pushed 1.29.0-wmf.18 to group1 today

Logstash link https://logstash.wikimedia.org/goto/6988d779482615b96863454d9e557294

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2017, 7:14 PM
thcipriani triaged this task as Unbreak Now! priority.Mar 29 2017, 7:24 PM

Added as a blocker for 1.29.0-wmf.18, set UBN!

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 29 2017, 7:25 PM
Tpt added a subscriber: Tpt.

I've just written a change that should fix the error.

The change: https://gerrit.wikimedia.org/r/#/c/345423/
The backport: https://gerrit.wikimedia.org/r/#/c/345421/

Mentioned in SAL (#wikimedia-operations) [2017-03-29T20:56:45Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.18/extensions/ProofreadPage/includes/page/ProofreadPagePage.php: [[gerrit:345423|Makes sure to always return a Title in ProofreadPagePage::findIndexTitle]] T161734 (duration: 00m 46s)

thcipriani closed this task as Resolved.Mar 29 2017, 8:58 PM
thcipriani assigned this task to Tpt.

Thanks @Tpt!

Will reopen if I see this error creep up after the other blockers have been taken care of and I roll forward again.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM